Wednesday, January 20, 2010

Gotcha Of The Day: Upgrading Old Versions of Joomla

One of my clients was running an especially old version of Joomla and wanted to upgrade to the latest version. While the instructions for doing so are clear, there's an off hand remark at the beginning that threw me off:

You will need a working Joomla! install, though using the latest available release of Joomla! 1.0 is always the best option.

Sounds reasonable enough. But, what's the latest 1.0 version? And more importantly, how do I get my old version of Joomla brought up to this version? The docs have nothing to say on either of these points. To add insult to injury, the Joomla download page only lists 1.5.x versions of Joomla.

After more Googling than I like to admit, I did find a recipe that works. Essentially, apply the various patches to go from say 1.0.3 to 1.0.13 and then apply the patch from 1.0.13 to 1.0.15. As far as I can tell, 1.0.15 is the most recent 1.0 release.

So, the files you need can be found here:

  • 1.0.13 Release - grab the appropriate patch to take your old release to 1.0.13
  • 1.0.15 Release - grab an the appropriate update from 1.0.13 to 1.0.15

No comments:

Post a Comment

LinkWithin

Related Posts with Thumbnails